Bug 1080084 - (CVE-2014-2580) CVE-2014-2580 kernel: xen: Linux netback crash trying to disable due to malformed packet
CVE-2014-2580 kernel: xen: Linux netback crash trying to disable due to malfo...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140324,repor...
: Security
Depends On: 1080086
Blocks: 1080095
  Show dependency treegraph
 
Reported: 2014-03-24 12:24 EDT by Petr Matousek
Modified: 2015-02-16 10:49 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 12:27:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-03-24 12:24:59 EDT
When Linux's netback sees a malformed packet, it tries to disable the interface which serves the misbehaving frontend.

This involves taking a mutex, which might sleep.  But in recent versions of Linux the guest transmit path is handled by NAPI in softirq context, where sleeping is not allowed.  The end result is that the backend domain (often, Dom0) crashes with "scheduling while atomic".

Malicious guest administrators can cause denial of service.  If driver domains are not in use, the impact is a host crash.

References:
http://seclists.org/oss-sec/2014/q1/646

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Török Edwin for discovering this bug.
Comment 1 Petr Matousek 2014-03-24 12:27:06 EDT
Statement:

Not vulnerable.

This issue does not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue does not affect versions of Linux kernel packages as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 as they do not have support for Xen hypervisor.
Comment 2 Petr Matousek 2014-03-24 12:27:38 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1080086]
Comment 3 Murray McAllister 2014-03-25 00:46:25 EDT
MITRE assigned CVE-2014-2580 to this issue:

http://seclists.org/oss-sec/2014/q1/648

Note You need to log in before you can comment on or make changes to this bug.